Website
Dashboard
Website
Dashboard
  • πŸ‘‰ Welcome
  • 🧐 How to set up an account
  • πŸ“ˆ Monitoring and analytics
  • πŸ” Introducing coins vs tokens
  • πŸ‘¨β€πŸ’Ό The meaning of owning crypto
  • πŸ’° Wallets
  • πŸ“œ Supported Blockchains
  • GITHUB
    • 🐘 SDK PHP
    • πŸ“ SDK Python
    • πŸ‘¨β€πŸ’» SDK GOLANG
    • ✳️ SDK NODE JS
    • ✳️ PHP Wallet
  • API REFERENCE
    • Bitcoin
      • πŸ” Info
        • 🧐 Check BTC node health
        • πŸ“œ Get latest Bitcoin block
      • πŸ†Ž Block
        • πŸ“ˆ Get Bitcoin block by height
        • πŸ‘¨β€πŸ’» Get Bitcoin block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Bitcoin transaction by hash
        • πŸ“ Send pre-signed raw Bitcoin transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ’° List BTC addresses managed by node wallet
        • πŸ†Ž Get BTC received amount for address
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Ethereum
      • πŸ” Info
        • 🧐 Check ETH node health
        • πŸ“œ Get latest Ethereum block
      • πŸ†Ž Block
        • πŸ“ˆ Get Ethereum block by height
        • πŸ‘¨β€πŸ’» Get Ethereum block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Ethereum transaction by hash
        • πŸ‘¨β€πŸ’» Get Ethereum transaction receipt by hash
        • πŸ“ Send pre-signed raw Ethereum transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ” List ETH accounts managed by node
        • πŸ†Ž Get ETH balance for address
        • πŸ†Ž Get transaction count (nonce) for address
        • πŸ‘‰ Estimate gas for transaction
        • πŸ“‘ Read-only contract call (eth_call)
        • πŸ‘¨β€πŸ’Ό Send transaction from node-managed account
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Tron
      • πŸ” Info
        • πŸ“‘ Get TRX node info
        • 🧐 Check Tron node health
      • πŸ†Ž Block
        • πŸ“œ Get latest Tron block
        • πŸ“œ Get latest N blocks
        • 🟠 Get block by number
        • πŸ‘¨β€πŸ’» Get block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get transaction by hash
        • πŸ†Ž Get all transactions for an address
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ†Ž Validate a Tron address
        • πŸ” Get account information
        • πŸ’° Get account balance
        • πŸ†Ž Create a new Tron address
        • πŸ’΅ Generate a private key from a mnemonic
        • πŸ“Š Send TRX from one address to another
        • πŸ“Š Send USDT (TRC20) from one address to another
      • ✳️ Webhooks
        • πŸ‘¨β€πŸ“œ List webhooks
        • 🧐 Create webhook
        • πŸ‘‰ Get webhook
        • πŸ‘¨β€πŸ” Update webhook
        • ❌ Delete webhook
      • πŸ“Š Schemas
      • πŸ” JSON-RPC

πŸ‘¨β€πŸ’» Get Ethereum transaction receipt by hash

Code samples

GET /api/v1/eth/transactions/{hash}/receipt

Returns transaction receipt using eth_getTransactionReceipt.

πŸ› οΈ Parameters

NameInTypeRequiredDescription
hashpathstringtrueEthereum transaction hash.

Example responses

200 Response

{
  "transactionHash": "string",
  "transactionIndex": "string",
  "blockHash": "string",
  "blockNumber": "string",
  "from": "string",
  "to": "string",
  "cumulativeGasUsed": "string",
  "effectiveGasPrice": "string",
  "gasUsed": "string",
  "contractAddress": "string",
  "logs": [
    {
      "address": "string",
      "topics": [
        "string"
      ],
      "data": "string",
      "blockNumber": "string",
      "transactionHash": "string",
      "transactionIndex": "string",
      "blockHash": "string",
      "logIndex": "string",
      "removed": true
    }
  ],
  "logsBloom": "string",
  "status": "string",
  "type": "string"
}

404 Response

{
  "error": "Transaction receipt not found"
}

πŸ” Responses

StatusMeaningDescriptionSchema
200OKEthereum transaction receiptInline
404Not FoundTransaction receipt not foundInline
500Internal Server ErrorCould not connect to ETH nodeNone

πŸ”„ Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
Β» transactionHashstringfalsenonenone
Β» transactionIndexstringfalsenonenone
Β» blockHashstringfalsenonenone
Β» blockNumberstringfalsenonenone
Β» fromstringfalsenonenone
» tostring¦nullfalsenonenone
Β» cumulativeGasUsedstringfalsenonenone
Β» effectiveGasPricestringfalsenonenone
Β» gasUsedstringfalsenonenone
» contractAddressstring¦nullfalsenonenone
Β» logs[object]falsenonenone
»» addressstringfalsenonenone
»» topics[string]falsenonenone
»» datastringfalsenonenone
»» blockNumberstringfalsenonenone
»» transactionHashstringfalsenonenone
»» transactionIndexstringfalsenonenone
»» blockHashstringfalsenonenone
»» logIndexstringfalsenonenone
»» removedbooleanfalsenonenone
Β» logsBloomstringfalsenonenone
Β» statusstringfalsenone0x1 for success, 0x0 for failure.
Β» typestringfalsenonenone

Status Code 404

NameTypeRequiredRestrictionsDescription
Β» errorstringfalsenonenone
To perform this operation, you must be authenticated by means of one of the following methods: ApiKeyAuth
Last Updated:: 3/27/26, 2:59 PM
Contributors: support
Prev
πŸ‘¨β€πŸ’» Get Ethereum transaction by hash
Next
πŸ“ Send pre-signed raw Ethereum transaction